Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.web
Class FilterInvocationDefinitionSourceEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.acegisecurity.intercept.web.FilterInvocationDefinitionSourceEditor

All Implemented Interfaces:
  PropertyEditor

    public class FilterInvocationDefinitionSourceEditor

extends PropertyEditorSupport

Property editor to assist with the setup of a `FilterInvocationDefinitionSource`.

The class creates and populates a `RegExpBasedFilterInvocationDefinitionMap` or `PathBasedFilterInvocationDefinitionMap` (depending on the type of patterns presented).

By default the class treats presented patterns as regular expressions. If the keyword `PATTERN_TYPE_APACHE_ANT` is present (case sensitive), patterns will be treated as Apache Ant paths rather than regular expressions.

Version:
  $Id: FilterInvocationDefinitionSourceEditor.java,v 1.3 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`FilterInvocationDefinitionSourceEditor()`

Method Summary
`void` | `setAsText(String s)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterInvocationDefinitionSourceEditor

    public FilterInvocationDefinitionSourceEditor()

Method Detail

### setAsText

    public void setAsText(String s)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.